<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ui_surface">

    <include
        android:id="@+id/toolbar"
        layout="@layout/reuse_toolbar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/toolbar"
        android:orientation="vertical">

        <RelativeLayout
            android:id="@+id/regulationHintContainer"
            android:layout_width="match_parent"
            android:layout_height="52dp"
            android:background="@drawable/bg_regulation_test"
            android:visibility="gone"
            tools:visibility="visible">

            <ImageView
                android:id="@+id/hintIv"
                android:layout_width="72dp"
                android:layout_height="28dp"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:layout_marginLeft="20dp"
                android:src="@drawable/ic_regulation_test" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="7dp"
                android:layout_toRightOf="@id/hintIv"
                android:text="点击参与光环助手礼仪测试"
                android:textColor="@color/text_140B6D"
                android:textSize="14sp" />

            <ImageView
                android:layout_width="5dp"
                android:layout_height="8dp"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="20dp"
                android:src="@drawable/ic_regulation_test_arrow" />
        </RelativeLayout>

        <LinearLayout
            android:id="@+id/ratingAndCommentLl"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginBottom="10dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <View
                android:layout_width="match_parent"
                android:layout_height="8dp"
                android:background="@color/ui_background" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingTop="16dp">

                <TextView
                    android:id="@+id/rating_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20dp"
                    android:text="快来发表您的精彩评分吧"
                    android:textColor="@color/text_primary"
                    android:textSize="14sp"
                    android:textStyle="bold" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/rating_title"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="25dp"
                    android:layout_marginRight="15dp"
                    android:layout_marginBottom="25dp"
                    android:orientation="horizontal">

                    <com.gh.gamecenter.feature.view.GameIconView
                        android:id="@+id/giv_thumb"
                        android:layout_width="32dp"
                        android:layout_height="32dp" />

                    <com.gh.gamecenter.common.view.materialratingbar.MaterialRatingBar
                        android:id="@+id/rating_score"
                        style="@style/Widget.MaterialRatingBar.RatingBar"
                        android:layout_width="140dp"
                        android:layout_height="18dp"
                        android:layout_gravity="center_vertical"
                        android:layout_marginLeft="12dp"
                        android:rating="5"
                        android:stepSize="1"
                        app:mrb_progressBackgroundTint="@color/text_dddddd"
                        app:mrb_progressTint="@color/primary_theme"
                        app:mrb_secondaryProgressTint="@color/text_dddddd" />

                    <TextView
                        android:id="@+id/rating_edit_name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginLeft="16dp"
                        android:textColor="@color/text_FF5F14"
                        android:textSize="14sp"
                        android:textStyle="bold" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/device_container"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="20dp"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/device_name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="8dp"
                        android:drawableLeft="@drawable/rating_phone_icon"
                        android:drawablePadding="4dp"
                        android:gravity="center"
                        android:text="小米2S"
                        android:textSize="10sp" />

                    <CheckBox
                        android:id="@+id/device_box"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:button="@drawable/rating_checkbox_style"
                        android:checked="true" />

                </LinearLayout>

            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="8dp"
                android:background="@color/ui_background" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <com.gh.gamecenter.common.view.dsbridge.DWebView
                    android:id="@+id/mWebView"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />

                <include
                    android:id="@+id/noConnection"
                    layout="@layout/reuse_no_connection" />
            </LinearLayout>

        </LinearLayout>


        <LinearLayout
            android:id="@+id/commentRuleLl"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp"
                android:gravity="center">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="点击阅读"
                    android:textColor="@color/hint" />

                <TextView
                    android:id="@+id/comment_rules"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="《光环助手评论规则》"
                    android:textColor="@color/text_theme" />
            </LinearLayout>

            <View
                android:id="@+id/view_shadow"
                android:layout_width="match_parent"
                android:layout_height="7dp"
                android:background="@drawable/shadow"
                android:visibility="gone" />

        </LinearLayout>
    </LinearLayout>

    <com.airbnb.lottie.LottieAnimationView
        android:id="@+id/lottieAnimationView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="-40dp" />
</RelativeLayout>

